Kerbal Space Program - Bug #15419

ModuleCoreHeat does not require cooling
06/06/2017 06:20 PM - Streetwind
Description

Reproduction steps:

Build a craft with some sort of control, a 2.5m ISRU, a 2.5m ore tank, and a 2.5m LFO tank. Empty the fuel tank and fill the ore tank.
Launch. Activate infinite Ec. Activate LF+O processing. Observe ISRU's core temperature.

Expected result: core temperature passes 1000 K and keeps climbing, as no radiators are present.

Observed result: core temperature stops climbing beyond 1000.06 K even without any cooling present. Under physics timewarp, the
temperature will rise further, but upon returning to normal time, it will actually drop back down to 1000.06 K as if it had cooling.

Additionaly, if any kind of radiator is activated, no matter how weak, it instantly removes the excess .06 K and keeps the core at a
perfect 1000 K. Even if the radiator only cools 50 kW and the ISRU requires 200 per process.

This issue is not unique to the ISRU; I've tried multiple parts, both modded and stock, that implement ModuleCoreHeat. They all
show the exact same behavior. My reproduction tests were done in a completely fresh install of KSP, straight off of Steam, no mods
present.

History

#1 - 06/17/2017 09:15 PM - bewing
- File heat _tst_no_eng.craft added
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Further info:
The non-overheating issue happens with no engineer on board, or with an engineer of any level (I tested 2 star and 5 star).

Additionally, as the converter is heating up it does not do it properly. With no engineer on board, the converter heats up normally for 4 minutes, and
then suddenly jumps from 310K to 1000K core temp.

With an engineer on board, the normal heating phase lasts about 30 seconds -- followed by the instant jump to 1000K.

This sudden core heat temperature jump also happens with drills.

#3 - 03/05/2018 08:37 PM - Streetwind

This was marked fixed in a different issue, and no longer occurs ingame. Issue can be closed.

#4 - 06/24/2021 11:01 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version set to 1.12.0

- % Done changed from 10 to 80

We have made some changes in this last 1.12.0 release and would like some feedback on this issue. Thanks.

#5 - 07/15/2021 06:53 PM - Streetwind
| cannot replicate the issue in 1.12.1. Going through the test case, everything works out exactly as it should.

That said, | reported this back in 1.3.0, and while | don't know when and in what way it was fixed, it certainly hasn't been broken all this time. It was
probably fixed before 1.4 came around, or maybe with 1.4. Not sure. It's been a while. But | distinctly remember using using ISRU a lot when Making
History was in prerelease testing, and did not encounter any heat-related bugs at that time.

What | mean to say with that is, | can't tell if any changes made in 1.12 improved the experience. Certainly didn't make anything worse though, so -
good job? :)

Files

heat_tst_no_eng.craft 7.35 KB 06/17/2017 bewing
